Bug 1510570 (CVE-2017-15107) - CVE-2017-15107 dnsmasq: Improper validation of wildcard synthesized NSEC records
Summary: CVE-2017-15107 dnsmasq: Improper validation of wildcard synthesized NSEC records
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-15107
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180119,repor...
Depends On: 1536903
Blocks: 1507052
TreeView+ depends on / blocked
 
Reported: 2017-11-07 16:59 UTC by Adam Mariš
Modified: 2019-06-08 22:28 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in Dnsmasq's implementation of DNSSEC. Wildcard synthesized NSEC records could be improperly interpreted to prove the non-existence of hostnames that actually exist.
Clone Of:
Environment:
Last Closed: 2018-01-22 01:44:13 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-07 16:59:10 UTC
A vulnerability in DNSSEC implementation of Dnsmasq was found. Processing of wildcard synthesized NSEC records may result in improper validation for non-existance in some implementations of DNSSEC. While synthesis of NSEC records is allowed by RFC4592, the synthesized owner names should not be used in the NSEC processing.

Comment 1 Adam Mariš 2017-11-07 16:59:13 UTC
Acknowledgments:

Name: Ralph Dolmans (NLnet Labs), Karst Koymans (University of Amsterdam)

Comment 3 Doran Moppert 2018-01-22 01:41:40 UTC
Statement:

Versions of Dnsmasq shipped with Red Hat Enterprise Linux are built without DNSSEC support, so they are not affected by this issue.

Comment 4 Doran Moppert 2018-01-22 01:42:49 UTC
Created dnsmasq tracking bugs for this issue:

Affects: fedora-all [bug 1536903]


Note You need to log in before you can comment on or make changes to this bug.